From 7004dd6c8cd711629f89a5054f4d7244f3e4193e Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Wed, 30 Aug 2023 15:06:41 +0300
Subject: [PATCH v1] Silence GCC 12 warning

Aleksander Alekseev, reported by Bruce Momjian.
Discussion: https://postgr.es/message-id/ZO8uMPmZ4zb37PpQ%40momjian.us
---
 src/backend/commands/sequence.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/commands/sequence.c b/src/backend/commands/sequence.c
index 0b0003fcc8..964c8a792b 100644
--- a/src/backend/commands/sequence.c
+++ b/src/backend/commands/sequence.c
@@ -188,6 +188,9 @@ DefineSequence(ParseState *pstate, CreateSeqStmt *seq)
 				coldef = makeColumnDef("is_called", BOOLOID, -1, InvalidOid);
 				value[i - 1] = BoolGetDatum(false);
 				break;
+			default: /* silence the compiler warning */
+				Assert(false);
+				return InvalidObjectAddress;
 		}
 
 		coldef->is_not_null = true;
-- 
2.42.0

